Loading...
Searching...
No Matches
Halide::Internal::ReductionVariable::Compare Struct Reference

This lets you use a ReductionVariable as a key in a map of the form map<ReductionVariable, Foo, ReductionVariable::Compare>. More...

`#include <Reduction.h>`

## Public Member Functions

bool | operator() (const ReductionVariable &a, const ReductionVariable &b) const

## Detailed Description

This lets you use a ReductionVariable as a key in a map of the form map<ReductionVariable, Foo, ReductionVariable::Compare>.

Definition at line 27 of file Reduction.h.

## Member Function Documentation

## operator()()

bool Halide::Internal::ReductionVariable::Compare::operator() | ( | const ReductionVariable & | a,
|  | const ReductionVariable & | b ) const

inline

Definition at line 28 of file Reduction.h.

References Halide::Internal::ReductionVariable::var.

The documentation for this struct was generated from the following file:

- src/Reduction.h